- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Slots | Protected Member Functions | Friends

# QGraphicsProxyWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qgraphicsproxywidget.h.

`#include <qgraphicsproxywidget.h>`

Inheritance diagram for QGraphicsProxyWidget:
[legend]

List of all members.

## Public Types
enum | { Type = 12 }
## Public Member Functions
| QGraphicsProxyWidget (QGraphicsItem *parent=0, Qt::WindowFlags wFlags=0)
| ~QGraphicsProxyWidget ()
void | setWidget (QWidget *widget)
QWidget * | widget () const
QRectF | subWidgetRect (const QWidget *widget) const
void | setGeometry (const QRectF &rect)
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
int | type () const
QGraphicsProxyWidget * | createProxyForChildWidget (QWidget *child)
## Protected Slots
QGraphicsProxyWidget * | newProxyWidget (const QWidget *)
## Protected Member Functions
QVariant | itemChange (GraphicsItemChange change, const QVariant &value)
bool | event (QEvent *event)
bool | eventFilter (QObject *object, QEvent *event)
void | showEvent (QShowEvent *event)
void | hideEvent (QHideEvent *event)
void | contextMenuEvent (QGraphicsSceneContextMenuEvent *event)
void | dragEnterEvent (QGraphicsSceneDragDropEvent *event)
void | dragLeaveEvent (QGraphicsSceneDragDropEvent *event)
void | dragMoveEvent (QGraphicsSceneDragDropEvent *event)
void | dropEvent (QGraphicsSceneDragDropEvent *event)
void | hoverEnterEvent (QGraphicsSceneHoverEvent *event)
void | hoverLeaveEvent (QGraphicsSceneHoverEvent *event)
void | hoverMoveEvent (QGraphicsSceneHoverEvent *event)
void | grabMouseEvent (QEvent *event)
void | ungrabMouseEvent (QEvent *event)
void | mouseMoveEvent (QGraphicsSceneMouseEvent *event)
void | mousePressEvent (QGraphicsSceneMouseEvent *event)
void | mouseReleaseEvent (QGraphicsSceneMouseEvent *event)
void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *event)
void | wheelEvent (QGraphicsSceneWheelEvent *event)
void | keyPressEvent (QKeyEvent *event)
void | keyReleaseEvent (QKeyEvent *event)
void | focusInEvent (QFocusEvent *event)
void | focusOutEvent (QFocusEvent *event)
bool | focusNextPrevChild (bool next)
QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const
void | resizeEvent (QGraphicsSceneResizeEvent *event)
## Friends
class | QWidgetPrivate
class | QGraphicsItem

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Definition at line 73 of file qgraphicsproxywidget.h.

             {
            Type = 12
        };

## Constructor & Destructor Documentation

QGraphicsProxyWidget | ( | QGraphicsItem * | parent = `0`,
|  | Qt::WindowFlags | wFlags = `0`
| ) |  |

~QGraphicsProxyWidget | ( |  | ) |

## Member Function Documentation

void setWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* widget | ( |  | ) | const

Search for all occurrences

QRectF subWidgetRect | ( | const QWidget * | widget | ) | const

Search for all occurrences

void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void paint | ( | QPainter * | painter,
|  | const QStyleOptionGraphicsItem * | option,
|  | QWidget * | widget
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

int type | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

QGraphicsProxyWidget* createProxyForChildWidget | ( | QWidget * | child | ) |

Search for all occurrences

QVariant itemChange | ( | GraphicsItemChange | change,
|  | const QVariant & | value
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void showEvent | ( | QShowEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void hideEvent | ( | QHideEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void contextMenuEvent | ( | QGraphicsSceneContextMenuEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void dragEnterEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void dragLeaveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void dragMoveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void dropEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void hoverEnterEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void hoverLeaveEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void hoverMoveEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void grabMouseEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void ungrabMouseEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void mouseMoveEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void mousePressEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void mouseReleaseEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void mouseDoubleClickEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void wheelEvent | ( | QGraphicsSceneWheelEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void keyReleaseEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void focusOutEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

void resizeEvent | ( | QGraphicsSceneResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

QGraphicsProxyWidget* newProxyWidget | ( | const QWidget * |  | ) | `[protected, slot]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 136 of file qgraphicsproxywidget.h.

friend class QGraphicsItem `[friend]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

Definition at line 137 of file qgraphicsproxywidget.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsproxywidget.h

QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget
QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget QGraphicsProxyWidget